<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Ticket extends Model
{
    use HasFactory;
	
	protected $table = 'ticket';

    protected $guarded = ['id'];
	
	public function user()
    {
        return $this->belongsTo(User::class,'user');
    }
	
	public function getUser()
    {
        return User::findOrFail($this->user);
    }
	
	public function msjs()
    {
        return $this->hasMany(Ticketmsj::class,'ticket');
    }
}
