<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Userspages extends Model
{
    use HasFactory;
	
	protected $table = 'userspages';

    protected $guarded = ['id'];
	
	
    public function getPage()
    {
        return Pages::findOrFail($this->page)->name;
    }
	
    public function page()
    {
        return $this->belongsTo(Pages::class,'page');
    }
	
    public function getUser()
    {
        return User::findOrFail($this->user)->name;
    }
	
    public function user()
    {
        return $this->belongsTo(User::class,'user');
    }
}
