<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Payments;

class PaymentsController extends Controller
{
	private $tag_the = 'El';
    private $tag_o = 'o';
    private $r_name = 'admin/payments';
    private $v_name = 'admin.payments';
    private $c_name = 'Pago';
    private $c_names = 'Pagos';
	private $list_tbl_fsc = ['plans' => 'Plan','user' => 'Usuario','invoice' => 'Factura','amount' => 'Monto','date_init' => 'Fecha','expiration' => 'Expira'];
	private $o_model = Payments::class;

	public function __construct(){
    }

    public function index()
    {
        $data['menu'] = $this->r_name;
        $data['tag_o'] = $this->tag_o;
        $data['tag_the'] = $this->tag_the;
        $data['c_name'] = $this->c_name;
        $data['c_names'] = $this->c_names;
        $data['list_tbl_fsc'] = $this->list_tbl_fsc;
        $data['title'] = 'Lista de '.$this->c_names;
		return view($this->v_name.'.index',$data);
    }

	public function o_table()
    {
		$ax = [];
		$o_all = $this->o_model::orderBy('id', 'asc')->get();
		if($o_all->count() > 0){
			foreach($o_all as $key => $row){
				$nk = $key + 1;
				$item = [$nk];
				foreach($this->list_tbl_fsc as $thkey => $value){
					$valor = $row->$thkey;
					if($thkey == 'plans'){
						$valor = $row->getPlan();
					} else if($thkey == 'user'){
						$valor = $row->getUser();
					}
					array_push($item,$valor);
				}
				array_push($ax,$item);
			}
		}
		echo json_encode(['data' => $ax],true);
    }
}
