<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Subaccounts extends Model
{
    use HasFactory;
	
	protected $table = 'subaccounts';

    protected $guarded = ['id'];
	
    public function getUser()
    {
        return User::findOrFail($this->user)->name;
    }
	
    public function user()
    {
        return $this->belongsTo(User::class,'user');
    }
	
	public function pages()
    {
        return $this->belongsToMany(Pages::class,'subaccspage');
    }
}
